For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for APIs, version Calculations.
For other versions, use one of these documentation indexes:
- Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
- Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
- E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
- Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
- Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
- Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
- 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
- Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
- ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
- Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt
Access control: this endpoint is available to users with the everyone role.
Returns a list of all Avalara-supported taxing jurisdictions that apply to this address.
This API allows you to identify which jurisdictions are nearby a specific address according to the best available geocoding information.
It is intended to allow you to create a “Jurisdiction Override”, which allows an address to be configured as belonging to a nearby
jurisdiction in AvaTax.
The results of this API call can be passed to the CreateJurisdictionOverride API call.
Authentication
Authorizationstring
API Key authentication via header
Headers
X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Query parameters
line1stringOptional
The first address line portion of this address.
line2stringOptional
The second address line portion of this address.
line3stringOptional
The third address line portion of this address.
citystringOptional
The city portion of this address.
regionstringOptional0-3 characters
The region, state, or province code portion of this address.
postalCodestringOptional
The postal code or zip code portion of this address.
countrystringRequired0-2 characters
The two-character ISO-3166 code of the country portion of this address.
$filterstringOptional
A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST. Not filterable: country, Jurisdictions
$topintegerOptional
If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
$skipintegerOptional
If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.
$orderBystringOptional
A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.